Package be.fgov.ehealth.dics.protocol.v4

# Class AtcClassificationType

java.lang.Object
be.fgov.ehealth.dics.core.v4.refdata.AtcClassificationKeyType
be.fgov.ehealth.dics.protocol.v4.AtcClassificationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class AtcClassificationType extends AtcClassificationKeyType implements Serializable

Java class for AtcClassificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AtcClassificationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}AtcClassificationKeyType">
           <sequence>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtcClassificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the value of the description property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.AtcClassificationKeyType

  `getCode, setCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtcClassificationType

    public AtcClassificationType()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`